{
  lib
, rustPlatform
, pkgconfig, libcap_ng, libseccomp
, fetchFromGitLab
}:

rustPlatform.buildRustPackage rec {
  pname = "virtiofsd";
  version = "1.1.0";

  src = fetchFromGitLab {
    owner = "virtio-fs";
    repo = "virtiofsd";
    rev = "a31ad19efc302836a364fd6d79bda63160404b01";
    sha256 = "12nxm40sjx2jzl1j2czzanmk9b922dvfh64ndvgf5z4g4cviv33x";
  };

  cargoSha256 = "sha256-uRPmZE/xc0yeurBZ4rnrZua5d4lbPwStMUacFgbquuk=";
  
  nativeBuildInputs = [ pkgconfig ];

  buildInputs = [ libcap_ng libseccomp ];

  meta = with lib; {
    description = "vhost-user virtio-fs device backend written in Rust";
    homepage = "https://gitlab.com/virtio-fs/virtiofsd";
    license = licenses.bsd3;
    maintainers = [];
    platforms = platforms.linux;
  };
}
